Bug 471545 - USB: attempt to access beyond end of device [NEEDINFO]
USB: attempt to access beyond end of device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 03:19 EST by Need Real Name
Modified: 2009-01-09 01:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zaitcev: needinfo? (mal)


Attachments (Terms of Use)
dmesg (25.00 KB, text/plain)
2008-11-14 03:19 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2008-11-14 03:19:44 EST
Created attachment 323552 [details]
dmesg

For a few months I get 
USB: attempt to access beyond end of device
on Linux cn 2.6.26.6-49.fc8 #1 SMP Fri Oct 17 15:59:36 EDT 2008 i686 i686 i386 GNU/Linux
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 2:0:0:0: Direct-Access     MATSHITA DMC-TZ3          0100 PQ: 0 ANSI: 2
sd 2:0:0:0: [sdd] 4019199 512-byte hardware sectors (2058 MB)
sd 2:0:0:0: [sdd] Write Protect is off
sd 2:0:0:0: [sdd] Mode Sense: 04 00 00 00
sd 2:0:0:0: [sdd] Assuming drive cache: write through
sd 2:0:0:0: [sdd] 4019199 512-byte hardware sectors (2058 MB)
sd 2:0:0:0: [sdd] Write Protect is off
sd 2:0:0:0: [sdd] Mode Sense: 04 00 00 00
sd 2:0:0:0: [sdd] Assuming drive cache: write through
 sdd: sdd1
 sdd: p1 exceeds device capacity
sd 2:0:0:0: [sdd] Attached SCSI removable disk
sd 2:0:0:0: Attached scsi generic sg4 type 0
attempt to access beyond end of device
sdd: rw=0, want=4019200, limit=4019199
Buffer I/O error on device sdd1, logical block 4018956
attempt to access beyond end of device
sdd: rw=0, want=4019200, limit=4019199
Buffer I/O error on device sdd1, logical block 4018956
attempt to access beyond end of device
sdd: rw=0, want=4019200, limit=4019199
Buffer I/O error on device sdd1, logical block 4018956
attempt to access beyond end of device
sdd: rw=0, want=4019200, limit=4019199
Buffer I/O error on device sdd1, logical block 4018956
Comment 1 Pete Zaitcev 2008-11-14 11:42:51 EST
It's just a bogus partition table (unless the true capacity of the device
is greater than 2GB). Repartitioning it anew should fix it up.
Comment 2 Pete Zaitcev 2008-11-20 22:33:07 EST
So, how is it? Did fdisk work?
Also, what's the real size of the device (as printed on it)?
Comment 3 Bug Zapper 2008-11-26 06:18:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:49:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.